Kirjoittaja Aihe: "Käyttöoikeutesi eivät riitä"-viesti  (Luettu 5318 kertaa)

rale

  • Käyttäjä
  • Viestejä: 289
    • Profiili
"Käyttöoikeutesi eivät riitä"-viesti
« : 29.10.18 - klo:22.49 »
Mitähän tämä nyt on?
Eli Ubuntu 18.04 asennettu ja siihen vanha tuttu Xubuntu-desktop. Vaan sieltä käsin ei voi asennella ohjelmia. Tulee vain tuo otsikon mukainen viesti.
Ohjelmat asentuvat vain Gnome-tilassa.

Vanhemmissa versioissa ei ollut tuollaista ongelmaa.

epiphone

  • Käyttäjä
  • Viestejä: 1085
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #1 : 29.10.18 - klo:23.03 »
Millä keinoin yrität asentaa? Komenriviltä apt:lla, synapticilla vai jotenkin muuten?
Kahvi on väkevin juomani

rale

  • Käyttäjä
  • Viestejä: 289
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #2 : 29.10.18 - klo:23.08 »
Sovelluvalikoimalla, päätteellä sekä Synapticilla.

nm

  • Käyttäjä
  • Viestejä: 16306
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #3 : 30.10.18 - klo:00.07 »
Oletko luonut järjestelmään toisen käyttäjätunnuksen, jolla kirjaudut Xubuntuun? Jos kirjaudut molempiin samalla tunnuksella, kuulostaa kyllä hyvin oudolta, jos päätteessä ajettu sudo apt antaa tuollaisen virheen.

epiphone

  • Käyttäjä
  • Viestejä: 1085
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #4 : 30.10.18 - klo:01.09 »
Oletko luonut järjestelmään toisen käyttäjätunnuksen, jolla kirjaudut Xubuntuun? Jos kirjaudut molempiin samalla tunnuksella, kuulostaa kyllä hyvin oudolta, jos päätteessä ajettu sudo apt antaa tuollaisen virheen.

Juu, samaa tuumasin minäkin, ja ystävämme googlekaan ei oikein antanut vastauksia.
Kahvi on väkevin juomani

rale

  • Käyttäjä
  • Viestejä: 289
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #5 : 30.10.18 - klo:11.03 »
Käyttäjiä on vain yksi.

Päätteen kautta asennettaessa olin mokannut ja nyt ainakin Kino asentui sen kautta niinkuin pitääkin.

Synaptic sen sijaan käynnistyy vain ilman ylläpito-oikeuksia.
Myöskään Ohjelmistojen (ent. sovellusvalikoima) kautta yritettäessä ei oikeuksia ole.
« Viimeksi muokattu: 30.10.18 - klo:11.22 kirjoittanut rale »

rale

  • Käyttäjä
  • Viestejä: 289
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #6 : 02.11.18 - klo:13.36 »
Tuon mukaan Wayland pitäisi kai olla poistettuna ennen Xubuntu-desktopin asennusta? Itselläni ei ollut. Mistäs noita etukäteen tietää. Mahtaiskohan Xfce saada oikeudet jos Waylandin poistaa jälkeenpäin vai pitääkö Xubuntu-desktop asentaa uudelleen.

https://linuxconfig.org/install-xfce-desktop-on-ubuntu-18-04-bionic-beaver-linux
« Viimeksi muokattu: 02.11.18 - klo:13.41 kirjoittanut rale »

nm

  • Käyttäjä
  • Viestejä: 16306
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #7 : 02.11.18 - klo:14.02 »
Tuon mukaan Wayland pitäisi kai olla poistettuna ennen Xubuntu-desktopin asennusta?

Ei tarvitse. Xfce ei toimi lainkaan Waylandissa, vaan jos valitset Xfce-istunnon käyttöön kirjautuessa, järjestelmä käynnistää X.org:n.

Muutenkin 18.04:ssä Wayland on kyllä asennettuna, mutta se on vain valinnainen vaihtoehto, ja oletuksena GNOME:a ajetaan edelleen X.org:n päällä.


Synaptic sen sijaan käynnistyy vain ilman ylläpito-oikeuksia.

Mitä synaptic-pkexec sanoo päätteen kautta ajettuna?

Koodia: [Valitse]
synaptic-pkexec

rale

  • Käyttäjä
  • Viestejä: 289
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #8 : 02.11.18 - klo:14.16 »
Koodia: [Valitse]
rauno@rauno-All-Series:~$ synaptic-pkexec
==== AUTHENTICATING FOR com.ubuntu.pkexec.synaptic ===
Authentication is required to run the Synaptic Package Manager
Authenticating as: Rauno Lepistö,,, (rauno)
Password:
polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
==== AUTHENTICATION FAILED ===
Error executing command as another user: Not authorized

This incident has been reported.
rauno@rauno-All-Series:~$

nm

  • Käyttäjä
  • Viestejä: 16306
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #9 : 02.11.18 - klo:15.00 »
Koodia: [Valitse]
polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie

OK, virhe johtunee siitä, ettei polkit-gnome-authentication-agent käynnisty automaattisesti. Kokeile käynnistää se päätteessä komennolla:

Koodia: [Valitse]
/usr/lib/x86_64-linux-gnu/polkit-gnome-authentication-agent-1
Toimiiko Synaptic tuon jälkeen? Jos toimii, voit vaikka lisätä komennon työpöydän käynnistettäviin ohjelmiin.

rale

  • Käyttäjä
  • Viestejä: 289
    • Profiili
Vs: "Käyttöoikeutesi eivät riitä"-viesti
« Vastaus #10 : 02.11.18 - klo:16.25 »
Tuo komento antoi seuraavan ilmoituksen:

Koodia: [Valitse]
rauno@rauno-All-Series:~$ /usr/lib/x86_64-linux-gnu/polkit-gnome-authentication-agent-1
bash: /usr/lib/x86_64-linux-gnu/polkit-gnome-authentication-agent-1: Tiedostoa tai hakemistoa ei ole
rauno@rauno-All-Series:~$

Lisäys:
Myöskään nettipalvelimelle ei voi kirjautua Nautiluksessa tiedostohallinnan kautta ftp:tä käyttäen. Onnistuu kuitenkin Thunarilla. Gnomen puolelta onnistuu Nautiluksella (Thunarilla en ole siellä kokeillut).

Kirjautumisikkunan valikossa ei ole lainkaan Xubuntu-istuntoa, vain Xfce (Ubuntun ja Waylandin lisäksi). Olisinkohan sössinyt jotakin Xubuntu-desktopin asennuksessa?

« Viimeksi muokattu: 03.11.18 - klo:21.51 kirjoittanut rale »